Perform Batch Operations on Connections - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Perform Batch Operations on Connections
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/connections \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"operations": [
{
"op": "delete",
"id": "<string>"
}
]
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/connections"
payload = { "operations": [
{
"op": "delete",
"id": "<string>"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({operations: [{op: 'delete', id: '<string>'}]})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'operations' => [
[
'op' => 'delete',
'id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/connections"
payload := strings.NewReader("{\n \"operations\": [\n {\n \"op\": \"delete\",\n \"id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
| Code | Description |
|---|---|
| 200 | Batch operations completed successfully. |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
Body Response Example
{
"created": [
"<string>"
],
"updated": [
"<string>"
],
"deleted": [
"<string>"
]
}
Authorizations
API Key is required as a header:X-API-Key: <api-key>
Headers
Accept: application/json
Query Parameters
projectId: The unique identifier for the Project.
- Pattern:
^[a-z0-9]{24}$ - Required string length:
24
Body
Operations
An array of operation objects:
op: string (required)id: string (required)